libqt5sql-devel-5.11.2-4-omv4000.i686.rpm


Advertisement

Description

libqt5sql-devel - Development files for version 5 of the QtSql library

Property Value
Distribution OpenMandriva Cooker
Repository OpenMandriva Main Release i586
Package name libqt5sql-devel
Package version 5.11.2
Package release 4-omv4000
Package architecture i686
Package type rpm
Installed size 97.45 KB
Download size 28.41 KB
Official Mirror abf-downloads.openmandriva.org
Development files for version 5 of the QtSql library.

Alternatives

Package Version Architecture Repository
libqt5sql-devel-5.10.0-1-omv3001.i586.rpm 5.10.0 i586 OpenMandriva Main Release
libqt5sql-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
cmake filesystem(x86-32)
libqt5sql5 = 5.11.2-4
libqt5sql5-mysql = 5.11.2-4
libqt5sql5-odbc = 5.11.2-4
libqt5sql5-postgresql = 5.11.2-4
libqt5sql5-sqlite = 5.11.2-4
pkgconfig(Qt5Core) -

Provides

Name Value
cmake(Qt5Sql) = 5.11.2
devel(libQt5Sql) -
libqt5sql-devel = 5.11.2-4
libqt5sql-devel(x86-32) = 5.11.2-4
pkgconfig(Qt5Sql) = 5.11.2

Download

Type URL
Binary Package libqt5sql-devel-5.11.2-4-omv4000.i686.rpm
Source Package qt5-qtbase-5.11.2-4.src.rpm

Install Howto

  1. Enable OpenMandriva Main Release repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libqt5sql-devel rpm package:
    # urpmi libqt5sql-devel

Files

Path
/usr/include/qt5/QtSql/QSql
/usr/include/qt5/QtSql/QSqlDatabase
/usr/include/qt5/QtSql/QSqlDriver
/usr/include/qt5/QtSql/QSqlDriverCreator
/usr/include/qt5/QtSql/QSqlDriverCreatorBase
/usr/include/qt5/QtSql/QSqlDriverPlugin
/usr/include/qt5/QtSql/QSqlError
/usr/include/qt5/QtSql/QSqlField
/usr/include/qt5/QtSql/QSqlIndex
/usr/include/qt5/QtSql/QSqlQuery
/usr/include/qt5/QtSql/QSqlQueryModel
/usr/include/qt5/QtSql/QSqlRecord
/usr/include/qt5/QtSql/QSqlRelation
/usr/include/qt5/QtSql/QSqlRelationalDelegate
/usr/include/qt5/QtSql/QSqlRelationalTableModel
/usr/include/qt5/QtSql/QSqlResult
/usr/include/qt5/QtSql/QSqlTableModel
/usr/include/qt5/QtSql/QtSql
/usr/include/qt5/QtSql/QtSqlDepends
/usr/include/qt5/QtSql/QtSqlVersion
/usr/include/qt5/QtSql/qsql.h
/usr/include/qt5/QtSql/qsqldatabase.h
/usr/include/qt5/QtSql/qsqldriver.h
/usr/include/qt5/QtSql/qsqldriverplugin.h
/usr/include/qt5/QtSql/qsqlerror.h
/usr/include/qt5/QtSql/qsqlfield.h
/usr/include/qt5/QtSql/qsqlindex.h
/usr/include/qt5/QtSql/qsqlquery.h
/usr/include/qt5/QtSql/qsqlquerymodel.h
/usr/include/qt5/QtSql/qsqlrecord.h
/usr/include/qt5/QtSql/qsqlrelationaldelegate.h
/usr/include/qt5/QtSql/qsqlrelationaltablemodel.h
/usr/include/qt5/QtSql/qsqlresult.h
/usr/include/qt5/QtSql/qsqltablemodel.h
/usr/include/qt5/QtSql/qtsqlglobal.h
/usr/include/qt5/QtSql/qtsqlversion.h
/usr/include/qt5/QtSql/5.11.2/
/usr/include/qt5/QtSql/5.11.2/QtSql/
/usr/include/qt5/QtSql/5.11.2/QtSql/private/qsqlcachedresult_p.h
/usr/include/qt5/QtSql/5.11.2/QtSql/private/qsqldriver_p.h
/usr/include/qt5/QtSql/5.11.2/QtSql/private/qsqlnulldriver_p.h
/usr/include/qt5/QtSql/5.11.2/QtSql/private/qsqlquerymodel_p.h
/usr/include/qt5/QtSql/5.11.2/QtSql/private/qsqlresult_p.h
/usr/include/qt5/QtSql/5.11.2/QtSql/private/qsqltablemodel_p.h
/usr/include/qt5/QtSql/5.11.2/QtSql/private/qtsqlglobal_p.h
/usr/lib/libQt5Sql.prl
/usr/lib/libQt5Sql.so
/usr/lib/cmake/Qt5Sql/Qt5SqlConfig.cmake
/usr/lib/cmake/Qt5Sql/Qt5SqlConfigVersion.cmake
/usr/lib/cmake/Qt5Sql/Qt5Sql_QMYSQLDriverPlugin.cmake
/usr/lib/cmake/Qt5Sql/Qt5Sql_QODBCDriverPlugin.cmake
/usr/lib/cmake/Qt5Sql/Qt5Sql_QPSQLDriverPlugin.cmake
/usr/lib/cmake/Qt5Sql/Qt5Sql_QSQLiteDriverPlugin.cmake
/usr/lib/pkgconfig/Qt5Sql.pc

See Also

Package Description
libqt5sql5-5.10.0-1-omv3001.i586.rpm Qt SQL library
libqt5sql5-5.11.2-4-omv4000.i686.rpm Qt SQL library
libqt5sql5-mysql-5.10.0-1-omv3001.i586.rpm MySQL support for the QtSql library v5
libqt5sql5-mysql-5.11.2-4-omv4000.i686.rpm MySQL support for the QtSql library v5
libqt5sql5-odbc-5.10.0-1-omv3001.i586.rpm ODBC support for the QtSql library v5
libqt5sql5-odbc-5.11.2-4-omv4000.i686.rpm ODBC support for the QtSql library v5
libqt5sql5-postgresql-5.10.0-1-omv3001.i586.rpm PostgreSQL support for the QtSql library v5
libqt5sql5-postgresql-5.11.2-4-omv4000.i686.rpm PostgreSQL support for the QtSql library v5
libqt5sql5-sqlite-5.10.0-1-omv3001.i586.rpm SQLite 3.x support for the QtSql library v5
libqt5sql5-sqlite-5.11.2-4-omv4000.i686.rpm SQLite 3.x support for the QtSql library v5
libqt5svg-devel-5.10.0-1-omv3001.i586.rpm Devel files needed to build apps based on QtSvg
libqt5svg-devel-5.11.2-2-omv4000.i686.rpm Devel files needed to build apps based on QtSvg
libqt5svg-private-devel-5.10.0-1-omv3001.i586.rpm Devel files needed to build apps based on QtSvg
libqt5svg-private-devel-5.11.2-2-omv4000.i686.rpm Devel files needed to build apps based on QtSvg
libqt5svg5-5.10.0-1-omv3001.i586.rpm Qt5 Component Library
Advertisement
Advertisement